<div>
<p> Create Custom Field </p>
<div>
<span style= “display: inline-block;
width: 25px; height: 25px;
background-color: yellow;
color: black;
font-weight: bold;
font-size: 24px;
text-align: center;
line-height: 22px;
border: 2px solid black;
border-radius: 10%;
margin-right: 10px;”>
!
</span>
<span>
<strong>
Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future.
</strong>
</span>
</div>
</div>
POST https://services.leadconnectorhq.com/custom-fields/
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Body
locationId
string
default: "ve9EPM428h8vShlRW1KT"
required
Account Id
Placeholder text for the field
Whether the field should be shown in forms
Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type) Key of the option (Included in Create and Response, excluded in Update)
URL associated with the option (Optional, valid only for RADIO type)
Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Posibles valores: ‘.pdf’, ‘.docx’, ‘.doc’, ‘.jpg’, ‘.jpeg’, ‘.png’, ‘.gif’, ‘.csv’, ‘.xlsx’, ‘.xls’, ‘all’
Type of field that you are trying to create Posibles valores: ‘TEXT’, ‘LARGE_TEXT’, ‘NUMERICAL’, ‘PHONE’, ‘MONETORY’, ‘CHECKBOX’, ‘SINGLE_OPTIONS’, ‘MULTIPLE_OPTIONS’, ‘DATE’, ‘TEXTBOX_LIST’, ‘FILE_UPLOAD’, ‘RADIO’, ‘EMAIL’
fieldKey
string
default: "custom_object.pet.name"
required
Field key. For Custom Object it’s formatted as “custom_object.{objectKey}.{fieldKey}”. “custom_object” is a fixed prefix, “{objectKey}” is your custom object’s identifier, and “{fieldKey}” is the unique field name within that object. Example: “custom_object.pet.name” for a “name” field in a “pet” custom object.
objectKey
string
default: "custom_object.pet"
required
The key for your custom object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
Maximum file limit for uploads. Applicable only for fields with a data type of FILE_UPLOAD.
Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records.
Respuestas
201 - Successful response
locationId
string
default: "ve9EPM428h8vShlRW1KT"
required
Account Id
Placeholder text for the field
Whether the field should be shown in forms
Options for the field (Optional, valid only for SINGLE_OPTIONS, MULTIPLE_OPTIONS, RADIO, CHECKBOX, TEXTBOX_LIST type) Key of the option (Included in Create and Response, excluded in Update)
URL associated with the option (Optional, valid only for RADIO type)
Allowed file formats for uploads. Options include: .pdf, .docx, .doc, .jpg, .jpeg, .png, .gif, .csv, .xlsx, .xls, all Posibles valores: ‘.pdf’, ‘.docx’, ‘.doc’, ‘.jpg’, ‘.jpeg’, ‘.png’, ‘.gif’, ‘.csv’, ‘.xlsx’, ‘.xls’, ‘all’
Unique identifier of the object
objectKey
string
default: "custom_object.pet"
required
The key for your custom / standard object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
Type of field that you are trying to create Posibles valores: ‘TEXT’, ‘LARGE_TEXT’, ‘NUMERICAL’, ‘PHONE’, ‘MONETORY’, ‘CHECKBOX’, ‘SINGLE_OPTIONS’, ‘MULTIPLE_OPTIONS’, ‘DATE’, ‘TEXTBOX_LIST’, ‘FILE_UPLOAD’, ‘RADIO’
parentId
string
default: "3v34PM428h8vShlRW1KT"
required
ID of the parent folder
fieldKey
string
default: "custom_object.pet.name"
required
Field key. For Custom Object it’s formatted as “custom_object.{objectKey}.{fieldKey}”. “custom_object” is a fixed prefix, “{objectKey}” is your custom object’s identifier, and “{fieldName}” is the unique field name within that object. Example: “custom_object.pet.name” for a “name” field in a “pet” custom object.
Determines if users can add a custom option value different from the predefined options in records for RADIO type fields. A custom value added in one record does not automatically become an option and will not appear as an option for other records.
Maximum file limit for uploads
Date and time when the object was added
Date and time when the object was last updated
{
"field" : {
"locationId" : "ve9EPM428h8vShlRW1KT" ,
"name" : "Name" ,
"description" : "string" ,
"placeholder" : "string" ,
"showInForms" : true ,
"options" : [
{
"key" : "string" ,
"label" : "string" ,
"url" : "string"
}
],
"acceptedFormats" : ".pdf" ,
"id" : "string" ,
"objectKey" : "custom_object.pet" ,
"dataType" : "TEXT" ,
"parentId" : "3v34PM428h8vShlRW1KT" ,
"fieldKey" : "custom_object.pet.name" ,
"allowCustomOption" : true ,
"maxFileLimit" : 2 ,
"dateAdded" : "2024-01-15T10:30:00Z" ,
"dateUpdated" : "2024-01-15T10:30:00Z"
}
}
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/custom-fields/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Name",
"description": "string",
"placeholder": "string",
"showInForms": true,
"options": [
{
"key": "string",
"label": "string",
"url": "string"
}
],
"acceptedFormats": ".pdf",
"dataType": "TEXT",
"fieldKey": "custom_object.pet.name",
"objectKey": "custom_object.pet",
"maxFileLimit": 2,
"allowCustomOption": true,
"parentId": "string"
}'
const response = await fetch ( 'https://services.leadconnectorhq.com/custom-fields/' , {
method: 'POST' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
body: JSON . stringify ({ "locationId" : "ve9EPM428h8vShlRW1KT" , "name" : "Name" , "description" : "string" , "placeholder" : "string" , "showInForms" : true , "options" : [{ "key" : "string" , "label" : "string" , "url" : "string" }], "acceptedFormats" : ".pdf" , "dataType" : "TEXT" , "fieldKey" : "custom_object.pet.name" , "objectKey" : "custom_object.pet" , "maxFileLimit" : 2 , "allowCustomOption" : true , "parentId" : "string" }),
});
const data = await response . json ();
import os, requests
response = requests.request(
'POST' ,
'https://services.leadconnectorhq.com/custom-fields/' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
json = { "locationId" : "ve9EPM428h8vShlRW1KT" , "name" : "Name" , "description" : "string" , "placeholder" : "string" , "showInForms" : true, "options" : [{ "key" : "string" , "label" : "string" , "url" : "string" }], "acceptedFormats" : ".pdf" , "dataType" : "TEXT" , "fieldKey" : "custom_object.pet.name" , "objectKey" : "custom_object.pet" , "maxFileLimit" : 2 , "allowCustomOption" : true, "parentId" : "string" },
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/custom-fields/' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'POST' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ({ 'locationId' : 've9EPM428h8vShlRW1KT' , 'name' : 'Name' , 'description' : 'string' , 'placeholder' : 'string' , 'showInForms' : true , 'options' : [{ 'key' : 'string' , 'label' : 'string' , 'url' : 'string' }], 'acceptedFormats' : '.pdf' , 'dataType' : 'TEXT' , 'fieldKey' : 'custom_object.pet.name' , 'objectKey' : 'custom_object.pet' , 'maxFileLimit' : 2 , 'allowCustomOption' : true , 'parentId' : 'string' }),
]);
$data = json_decode ( curl_exec ( $ch ), true );